/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-0dmiyjfh22] {
    display: flex;
    justify-content: center;
    flex: 1;
    padding: 2em;
    margin: 2em;
    border-radius: 1em;
}

.grain[b-0dmiyjfh22] {
    background: #e2e2df; height: 100vh;     
    display: flex;
    position: relative;
    position: sticky;
    top: 0;
      background: 
	url("data:image/svg+xml,%3Csvg viewBox='0 0 250 250' xmlns='http://www.w3.org/2000/svg'%3E%3Cfilter id='noiseFilter'%3E%3CfeTurbulence type='fractalNoise' baseFrequency='10' numOctaves='2' stitchTiles='stitch'/%3E%3C/filter%3E%3Crect width='100%25' height='100%25' filter='url(%23noiseFilter) opacity(13%)'/%3E%3C/svg%3E");
}

.sidebar[b-0dmiyjfh22] {
flex: 0;
color: black;
background-color: rgba(114, 119, 125, 0.525);
    box-shadow:  7px -7px 70px #ffffffc4,
             -7px 7px 10px #473d3d53;
}



/********/

.top-row[b-0dmiyjfh22] {
    background-color: #9c1616;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-0dmiyjfh22]  a, .top-row[b-0dmiyjfh22]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-0dmiyjfh22]  a:hover, .top-row[b-0dmiyjfh22]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-0dmiyjfh22]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }





@media (max-width: 640.98px) {
    .top-row[b-0dmiyjfh22] {
        justify-content: space-between;
    }

    .top-row[b-0dmiyjfh22]  a, .top-row[b-0dmiyjfh22]  .btn-link {
        margin-left: 0;
    }
}
}

@media (min-width: 641px) {

    .sidebar[b-0dmiyjfh22] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-0dmiyjfh22] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-0dmiyjfh22]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-0dmiyjfh22], article[b-0dmiyjfh22] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}


/****/

[b-0dmiyjfh22] h1 {
  display: inline-block;
  font-weight: bold;
  padding-bottom: 1em;
  font-size: 2em;
  color: #3c551f;
}

[b-0dmiyjfh22] h2 {
  color: #356b3b; font-weight: normal; font-size: 1em;
}



[b-0dmiyjfh22] .btn-primary {
  color: #748346;
  padding: 0.6em 1.2em;
  background-color: #75387700;
  cursor: pointer;
  border: 1px solid #748346;
  transition: all 0.3s;
  font-weight: normal;
}

[b-0dmiyjfh22] .btn-primary:hover {
  background-color: #90a3cb;
  box-shadow: 0 0 0 5px #ffffff;
  color: #fff;
}

[b-0dmiyjfh22] input {
border-radius: 0px;
background: #FFFDF7;
}

[b-0dmiyjfh22] .form-label{
  color: #737373; 
  font-weight: bold;             /* Your desired text color */
  font-size: 0.8em;
}

[b-0dmiyjfh22] input {
    border: 2px solid #ffffff;
    padding: 10px;
    border-radius: 4px;
}

[b-0dmiyjfh22] main {
    padding: 5em;
    width: 80vw;
    box-shadow:  7px -7px 14px #c0c0be,
             -7px 7px 14px #ffffff92;
}

[b-0dmiyjfh22] article { width: 30em;}







@media (min-width: 1100px) {
[b-0dmiyjfh22] main {
    padding: 5em;
    width: 80vw;
    box-shadow:  7px -7px 14px #c0c0be79,
             -7px 7px 14px #ffffff72;
}
}


@media (max-width: 900px) {
[b-0dmiyjfh22] main {
    margin-top: 0em;
    padding: 0em;
    margin-left: 0em;
}
}
/* /Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-gnwlja3vlo] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-gnwlja3vlo] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-gnwlja3vlo] {
    font-size: 1.1rem;
}

.bi[b-gnwlja3vlo] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-gnwlja3vlo] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-gnwlja3vlo] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-gnwlja3vlo] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-gnwlja3vlo] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-gnwlja3vlo] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-gnwlja3vlo] {
        padding-bottom: 1rem;
    }

    .nav-item[b-gnwlja3vlo]  a {
        color: #d7d7d7;
        height: 2.5rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-gnwlja3vlo]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-gnwlja3vlo]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .collapse:not[b-gnwlja3vlo] {
    display: block;
}
    .navbar-toggler[b-gnwlja3vlo] {
        display: none;
    }

    .collapse[b-gnwlja3vlo] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
    
    .nav-scrollable[b-gnwlja3vlo] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}


